> For the complete documentation index, see [llms.txt](https://docs.finpay.id/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.finpay.id/api-reference/finpay-pg/core-api/direct-debit/balance-history.md).

# Balance History

| Environment | Method | URL                                                                                                                                                                                                                                                                                                                                                                                                                   |
| ----------- | ------ | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Development | POST   | [https://devo.finnet.co.id/pg/payment/card/directdebit/balance/history](<https://devo.finnet.co.id/pg/payment/card/directdebit/bind&#xA;https://devo.finnet.co.id/pg/payment/card/directdebit/unbind&#xA;https://devo.finnet.co.id/pg/payment/card/directdebit/purchase&#xA;https://devo.finnet.co.id/pg/payment/card/directdebit/balance&#xA;https://devo.finnet.co.id/pg/payment/card/directdebit/balance/history>) |
| Production  | POST   | [https://live.finnet.co.id/pg/payment/card/directdebit/balance/history](https://devo.finnet.co.id/pg/payment/card/directdebit/balance/history)                                                                                                                                                                                                                                                                        |

### Body Request <a href="#body-request" id="body-request"></a>

| No | Name          | Type                                                                    | Mandatory | Min Length | Max Length | Description             |
| -- | ------------- | ----------------------------------------------------------------------- | --------- | ---------- | ---------- | ----------------------- |
| 1  | sourceOfFunds | [Object](/api-reference/appendix/json-object/source-of-funds-object.md) | M         | 1          | 11         | Detail of SourceOfFunds |

#### Sample Request <a href="#sample-request" id="sample-request"></a>

```
{
    "sourceOfFunds": { 
        "type": "ddisaku",  
        "phoneNo": "+6285776886939"  
    }
}
```

### Body Response <a href="#body-request" id="body-request"></a>

| No | Name            | Type                                                              | Mandatory | Min Length | Max Length | Description      |
| -- | --------------- | ----------------------------------------------------------------- | --------- | ---------- | ---------- | ---------------- |
| 1  | responseCode    | [Enum](/api-reference/appendix/enumeration/response-code-list.md) | M         | 1          | 7          | Response Code    |
| 2  | responseMessage | String                                                            | M         | 1          | 500        | Response Message |
| 6  | processingTime  | Number                                                            | M         | 1          | 20         | Processing Time  |

#### Sample Response <a href="#sample-request" id="sample-request"></a>

```
{
    "responseCode": "2000000",
    "responseMessage": "Request has been processed successfully",
    "statusCode": "0000",
    "statusDesc": "Success",
    "userDesc": "Success",
    "result": {
        "responseCode": "2001200",
        "responseMessage": "Successful",
        "referenceNo": "hqMZaQZvRRCqN/QjC7YZJUV6j26+mSPCd0uy/1oVuLnerJ/M0MfjL73nJQgnCnTu",
        "partnerReferenceNo": "20251029161841330231810144647",
        "detailData": [
            {
                "dateTime": "29-10-2025 09:23:44",
                "amount": {
                    "value": "Rp. 120",
                    "currency": "IDR"
                },
                "remark": "Transaksi Belanja",
                "sourceOfFunds": [
                    {
                        "source": "BALANCE",
                        "amount": {
                            "value": "Rp. 1.992.280",
                            "currency": "IDR"
                        }
                    }
                ],
                "status": "SUCCESS",
                "type": "PR",
                "additionalInfo": {
                    "merchantName": "PRODUK A",
                    "originalReferenceNo": "BY25102909230686939"
                }
            },
            {
                "dateTime": "28-10-2025 17:21:07",
                "amount": {
                    "value": "Rp. 120",
                    "currency": "IDR"
                },
                "remark": "Transaksi Belanja",
                "sourceOfFunds": [
                    {
                        "source": "BALANCE",
                        "amount": {
                            "value": "Rp. 1.992.400",
                            "currency": "IDR"
                        }
                    }
                ],
                "status": "SUCCESS",
                "type": "PR",
                "additionalInfo": {
                    "merchantName": "PRODUK A",
                    "originalReferenceNo": "BY25102817204486939"
                }
            },
            {
                "dateTime": "28-10-2025 16:14:13",
                "amount": {
                    "value": "Rp. 120",
                    "currency": "IDR"
                },
                "remark": "Transaksi Belanja",
                "sourceOfFunds": [
                    {
                        "source": "BALANCE",
                        "amount": {
                            "value": "Rp. 1.992.520",
                            "currency": "IDR"
                        }
                    }
                ],
                "status": "SUCCESS",
                "type": "PR",
                "additionalInfo": {
                    "merchantName": "PRODUK A",
                    "originalReferenceNo": "BY25102816134086939"
                }
            },
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.finpay.id/api-reference/finpay-pg/core-api/direct-debit/balance-history.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
